<template>
  <div >
    <homeMain/>
    <homeReviews/>
    <home-trusted-by/>
    <homeSteps/>
    <home-we-help style="position: absolute; right: 0; left: 0; z-index: 5"/>
    <homeWhyChoose/>
    <home-instant-quote/>
    <homeUSMap/>
    <homeFAQ/>

    <div class="bottom-trigger d-flex align-items-center" :class="item.isShown ? 'bottom-trigger-active' : 'bottom-trigger-inactive'" v-for="(item, index) in bottomTriggerInfo" :key="index">
    <div>
      <img :src="item.img" alt="">
    </div>
      <div>
        <h6>
          {{item.name}} {{item.from}}
        </h6>
        <h5>{{item.title}}</h5>
        <p>{{item.time}}</p>
      </div>
    </div>
  </div>
</template>

<script>
import homeMain from "@/components/home/homeMain.vue"
import homeReviews from "@/components/home/homeReviews.vue";
import homeTrustedBy from "@/components/home/homeTrustedBy.vue";
import homeSteps from "@/components/home/homeSteps.vue";
import HomeWeHelp from "~/components/home/homeWeHelp";
import homeWhyChoose from "~/components/home/homeWhyChoose.vue";
import HomeInstantQuote from "@/components/home/homeInstantQuote";
import homeFAQ from "@/components/home/homeFAQ";
import homeUSMap from "@/components/home/homeUSMap";
export default {
  layout: 'homeHeader',
  components: {
    HomeInstantQuote,
    HomeWeHelp,
    homeMain,
    homeReviews,
    homeTrustedBy,
    homeSteps,
    homeWhyChoose,
    homeFAQ,
    homeUSMap
  },

  data() {
    return {
      bottomTrigger: false,
      interval: undefined,
      bottomTriggerInfo: [
      {name: '392', img: '/images/bottom-trigger1.png', from: 'Orders ', time: 'Booked', title: 'In the last 24 hours', isShown: false},
      {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
      {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
      {name: 'Lyn', img: '/images/bottom-trigger1.png', from: 'Punta Gorda, FL', time: 'an hour ago', title: 'Just booked an order', isShown: false},
    ]
    }

  },

  // beforeRouteLeave(to, from, next) {
  //   if(this.unlockSavingsModal === false) {
  //     console.log("asdasd")
  //   } else {
  //   }
  // },
  // mounted() {
  //   this.bottomTriggerFunction(2000, this.bottomTriggerInfo);
  // },
  //
  // beforeDestroy() {
  //   clearInterval(this.interval)
  // },
  //
  // methods: {
  //   bottomTriggerFunction(time, data1) {
  //     this.interval = setInterval(function() {
  //       if(!data1.every((item => item.isShown === false))) {
  //         for (let i = 0; i < data1.length; i++) {
  //         data1[i].isShown = false
  //         console.log(data1[i].isShown)
  //       }
  //       }
  //     }, time);
  //   }
  // }
}
</script>

<style scoped>

</style>
